## org.firebirdsql.gds.impl.wire
Class EventHandleImp

    java.lang.Object
      org.firebirdsql.gds.impl.wire.EventHandleImp

All Implemented Interfaces:
  EventHandle

    public class EventHandleImp

extends Object
implements EventHandle

Constructor Summary
`EventHandleImp(String eventName)`

Method Summary
`int` `getEventCount()` Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.
`int` `getEventId()` Get the internal event id number for this handle
`String` `getEventName()` Get the name of the event for which this handle is set to listen for
`int` `getLocalId()`
`byte[]` `getParameterBuffer()`
`void` `setEventId(int eventId)`
`void` `setLocalId(int localId)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventHandleImp

    public EventHandleImp(String eventName)

Method Detail

### getEventName

    public String getEventName()

  Description copied from interface: `EventHandle`
  Get the name of the event for which this handle is set to listen for

  Specified by:
    `getEventName` in interface `EventHandle`
  Returns:
    The name of the event

### getEventCount

    public int getEventCount()

  Description copied from interface: `EventHandle`
  Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.

  Specified by:
    `getEventCount` in interface `EventHandle`
  Returns:
    The event count

### getEventId

    public int getEventId()

  Description copied from interface: `EventHandle`
  Get the internal event id number for this handle

  Specified by:
    `getEventId` in interface `EventHandle`
  Returns:
    The internal event id

### setEventId

    public void setEventId(int eventId)

### setLocalId

    public void setLocalId(int localId)

### getLocalId

    public int getLocalId()

### getParameterBuffer

    public byte[] getParameterBuffer()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010. All Rights Reserved.